diff shells/dash/dash-post.sh @ 398:89ac6810e2ee

shells/dash: initial import, closes #1486
author David Demelier <markand@malikania.fr>
date Tue, 02 Apr 2019 20:15:00 +0200
parents
children 16d26eee4b33
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/shells/dash/dash-post.sh	Tue Apr 02 20:15:00 2019 +0200
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Copyright (c) 2019 David Demelier <markand@malikania.fr>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+#
+
+if [ "$1" = "install" ]; then
+	if ! grep -q "/usr/bin/dash" $DESTDIR/etc/shells >/dev/null 2>&1; then
+		echo "/usr/bin/dash" >> $DESTDIR/etc/shells
+	fi
+
+	#
+	# dash is the official default shell in Vanilla, but if the user has set
+	# something else, keep it.
+	#
+	if [ ! -e $DESTDIR/usr/bin/sh ]; then
+		ln -sf dash $DESTDIR/usr/bin/sh
+	fi
+elif [ "$1" = "uninstall" ]; then
+	sed -i -e '/\/usr\/bin\/dash/d' $DESTDIR/etc/shells
+
+	# Remove deadlink to /bin/sh if dash was kept as default shell.
+	if [ $(readlink $DESTDIR/usr/bin/sh) = "dash" ]; then
+		rm -f $DESTDIR/usr/bin/sh
+	fi
+fi